## python-notify2 0.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/notify2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/notify2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/notify2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/notify2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-notify2 0.3

=== debian/changelog ===
python-notify2 (0.3-5) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:06:06 -0400

python-notify2 (0.3-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937956
  * debian/control
    - replace b-d on dbus-x11 with default-dbus-session-bus | dbus-session-bus;
      Closes: #836292
    - add libgtk-3-bin to b-d, needed for gtk-launch
  * debian/runtests.sh
    - launch notification-daemon via gtk-launch; Closes: #887515

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 20:34:17 -0500

python-notify2 (0.3-3) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Etienne Millon ]
  * Run tests under dbus-run-session (Closes: #746103)
  * Bump Standards-Version to 3.9.6 (no changes)

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Etienne Millon <me@emillon.org>  Fri, 24 Oct 2014 15:32:39 +0200

python-notify2 (0.3-2) unstable; urgency=low

  * Fix for running test suite, courtesy of Jakub Wilk (Closes: #674351)

 -- Thomas Kluyver <thomas@kluyver.me.uk>  Mon, 28 May 2012 11:06:00 +0100

python-notify2 (0.3-1) unstable; urgency=low

  * Initial release (Closes: #672799)

 -- Thomas Kluyver <thomas@kluyver.me.uk>  Sun, 13 May 2012 18:29:32 +0100

=== debian/control ===
Source: python-notify2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Thomas Kluyver <thomas@kluyver.me.uk>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dbus,
               dbus,
               default-dbus-session-bus | dbus-session-bus,
               notification-daemon,
               xvfb,
               xauth,
               python3-gi,
               gir1.2-gdkpixbuf-2.0,
               libgtk-3-bin
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/notify2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-notify2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-notify2

Package: python3-notify2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-dbus
Recommends: notification-daemon
Description: desktop notifications API for Python 3
 notify2 provides a Python interface to the Freedesktop notifications system,
 which allows programs to display information to the user in an unobtrusive way.
 Notifications are sent over DBus to a notification daemon, which is responsible
 for presenting them to the user.
 .
 notify2 is intended as a replacement for pynotify (package python-notify), and
 its interface is largely copied from there, although it isn't a complete clone.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#DH_VERBOSE=1

# This is needed on buildd so that dbus can use ~/.dbus
export HOME = $(CURDIR)

PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONS="$(PYTHON3)" dbus-run-session -- xvfb-run -a debian/runtests.sh
endif

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -rf .dbus

## python-notify2 0.3.1

=== debian/changelog ===
python-notify2 (0.3.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.3.1 (Closes: #1078727)
  * Add build-dep on python3-setuptools (Closes: #1080751)
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 11 Oct 2024 12:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Thomas Kluyver <thomas@kluyver.me.uk>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-dbus,
+               python3-setuptools,
                dbus,
                default-dbus-session-bus | dbus-session-bus,
                notification-daemon,
@@ -15,6 +16,7 @@
                python3-gi,
                gir1.2-gdkpixbuf-2.0,
                libgtk-3-bin
+Rules-Requires-Root: no
 Standards-Version: 3.9.6
 Homepage: https://pypi.python.org/pypi/notify2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-notify2.git
@@ -32,5 +34,3 @@
  .
  notify2 is intended as a replacement for pynotify (package python-notify), and
  its interface is largely copied from there, although it isn't a complete clone.
- .
- This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 PYTHON3=$(shell py3versions -vr)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/n/notify2/notify2-(.*)\.tar\.gz
